Holger's Java API

## com.antelmann.math
Enum BooleanOperator

    java.lang.Object
      java.lang.Enum<BooleanOperator>
          com.antelmann.math.BooleanOperator

All Implemented Interfaces:
  Serializable, Comparable<BooleanOperator>

    public enum BooleanOperator

extends Enum<BooleanOperator>

basic boolean operator allowing to combine two boolean values to produce another

Since:
  11.12.2010, 15:25:23
Author:
  Holger Antelmann

Enum Constant Summary
`AND`
`NOR`
`OR`
`XOR`

Method Summary
`static BooleanOperator` `fromString(String exp)`
`boolean` `isFalseFor(boolean a, boolean b)`
`boolean` `isFalseFor(ValueRetriever<Boolean> a, ValueRetriever<Boolean> b)`
`boolean` `isTrueFor(boolean a, boolean b)`
`boolean` `isTrueFor(ValueRetriever<Boolean> a, ValueRetriever<Boolean> b)`
`static BooleanOperator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BooleanOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AND

    public static final BooleanOperator AND

### OR

    public static final BooleanOperator OR

### XOR

    public static final BooleanOperator XOR

### NOR

    public static final BooleanOperator NOR

Method Detail

### values

    public static BooleanOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BooleanOperator c : BooleanOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BooleanOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isTrueFor

    public boolean isTrueFor(ValueRetriever<Boolean> a,
                             ValueRetriever<Boolean> b)
                      throws IOException

  Throws:
    `IOException`

### isTrueFor

    public boolean isTrueFor(boolean a,
                             boolean b)

### isFalseFor

    public boolean isFalseFor(boolean a,
                              boolean b)

### isFalseFor

    public boolean isFalseFor(ValueRetriever<Boolean> a,
                              ValueRetriever<Boolean> b)
                       throws IOException

  Throws:
    `IOException`

### fromString

    public static BooleanOperator fromString(String exp)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads